Subject: bug#77580: [PATCH] New command ediff-undo

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Apr 2025 10:35:19 +0300

> Cc: [email-masked], [email-masked]
> From: Sean Whitton <[email-masked]>
> Date: Thu, 10 Apr 2025 09:21:35 +0800
> 
> On Wed 09 Apr 2025 at 10:27pm +02, Paul D. Nelson wrote:
> 
> > Many thanks for the pointer to vundo.  It's a great tool for navigating
> > undo histories visually.
> >
> > The commands I've proposed (ediff-undo and diff-with-undo) serve a
> > somewhat different niche, primarily addressing a simpler use case:
> > quick, one-off comparisons with recent undo states, typically one or two
> > steps back.  Their implementation is straightforward and minimal.  vundo
> > is more innovative, but also more complex.  For the common scenarios
> > where I've found the proposed commands useful, vundo would generally be
> > overkill.
> 
> It might be more complex, but in general we really don't want to add
> functionality to Emacs core that is already available on ELPA, because
> we are working towards shipping the whole of GNU ELPA with our release
> tarballs.  Then we would be shipping the same functionality twice.

There are exceptions, though.  VC vs Magit comes to mind, and there
are others.

Basically, there's nothing wrong with having in Emacs a feature which
is simple and supports a subset of what an ELPA package offers.